Groovy JDK

## java.util
Class Date

Method Summary
`String` | `format(String format)` Create a String representation of this date according to the given format pattern.
`int` | `getAt(int field)` Support the subscript operator for a Date.
`String` | `getDateString()` Return a string representation of the 'day' portion of this date according to the locale-specific {@link DateFormat#SHORT} default format.
`String` | `getDateTimeString()` Return a string representation of the date and time time portion of this Date instance, according to the locale-specific format used by {@link DateFormat}.
`String` | `getTimeString()` Return a string representation of the time portion of this date according to the locale-specific {@link DateFormat#MEDIUM} default format.
`Date` | `minus(int days)` Subtract a number of days from this date and returns the new date.
`int` | `minus(Date then)` Subtract another Date from this one and return the number of days of the difference.
`Date` | `next()` Increment a Date by one day.
`static Date` | `parse(String format, String input)` Parse a String into a Date instance using the given pattern.
`Date` | `plus(int days)` Add a number of days to this date and returns the new date.
`Date` | `previous()` Decrement a Date by one day.

Method Detail

### format

    public String format(String format)

  Create a String representation of this date according to the given format pattern.

  For example, if the system timezone is GMT, `new Date(0).format('MM/dd/yy')` would return the string `"01/01/70"`. See documentation for {@link SimpleDateFormat} for format pattern use.

  Note that a new DateFormat instance is created for every invocation of this method (for thread safety).

Parameters:
  `format` - the format pattern to use according to {@link SimpleDateFormat}.

Returns:
  a string representation of this date.

Since:
  1.5.7

See:
  SimpleDateFormat.

### getAt

    public int getAt(int field)

  Support the subscript operator for a Date.

Parameters:
  `field` - a Calendar field, e.g. MONTH.

Returns:
  the value for the given field, e.g. FEBRUARY

Since:
  1.5.5

See:
  Calendar.

### getDateString

    public String getDateString()

  Return a string representation of the 'day' portion of this date according to the locale-specific {@link DateFormat#SHORT} default format. For an "en_UK" system locale, this would be `dd/MM/yy`.

  Note that a new DateFormat instance is created for every invocation of this method (for thread safety).

Returns:
  a string representation of this date

Since:
  1.5.7

See:
  DateFormat#getDateInstance(int).
  DateFormat#SHORT.

### getDateTimeString

    public String getDateTimeString()

  Return a string representation of the date and time time portion of this Date instance, according to the locale-specific format used by {@link DateFormat}. This method uses the {@link DateFormat#SHORT} preset for the day portion and {@link DateFormat#MEDIUM} for the time portion of the output string.

  Note that a new DateFormat instance is created for every invocation of this method (for thread safety).

Returns:
  a string representation of this date and time

Since:
  1.5.7

See:
  DateFormat#getDateTimeInstance(int, int).

### getTimeString

    public String getTimeString()

  Return a string representation of the time portion of this date according to the locale-specific {@link DateFormat#MEDIUM} default format. For an "en_UK" system locale, this would be `HH:MM:ss`.

  Note that a new DateFormat instance is created for every invocation of this method (for thread safety).

Returns:
  a string representing the time portion of this date

Since:
  1.5.7

See:
  DateFormat#getTimeInstance(int).
  DateFormat#MEDIUM.

### minus

    public Date minus(int days)

  Subtract a number of days from this date and returns the new date.

Parameters:
  `days` - the number of days to subtract.

Returns:
  the new date

Since:
  1.0

### minus

    public int minus(Date then)

  Subtract another Date from this one and return the number of days of the difference. Date self = Date then + (Date self - Date then) IOW, if self is before then the result is a negative value.

Parameters:
  `then` - another Date.

Returns:
  number of days

Since:
  1.6.0

### next

    public Date next()

  Increment a Date by one day.

Returns:
  the next days date

Since:
  1.0

### parse

    public static Date parse(String format, String input)

  Parse a String into a Date instance using the given pattern. This convenience method acts as a wrapper for {@link SimpleDateFormat}.

  Note that a new SimpleDateFormat instance is created for every invocation of this method (for thread safety).

Parameters:
  `format` - pattern used to parse the input string..
  `input` - String to be parsed to create the date instance.

Returns:
  a new Date instance representing the parsed input string

Since:
  1.5.7

See:
  SimpleDateFormat#parse(String).

### plus

    public Date plus(int days)

  Add a number of days to this date and returns the new date.

Parameters:
  `days` - the number of days to increase.

Returns:
  the new date

Since:
  1.0

### previous

    public Date previous()

  Decrement a Date by one day.

Returns:
  the previous days date

Since:
  1.0

Groovy JDK